Update a task
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/production/tasks/string" \ -H "Content-Type: application/json" \ -d '{}'{ "task": { "id": "string", "labId": "string", "name": "string", "description": "string", "iconDefault": "string", "colorDefault": "string", "styleDefault": "primary", "completionTrigger": "acknowledge", "completionTriggerConfig": { "type": "acknowledge" }, "sideEffects": [ { "type": "change_status", "toStatus": "draft" } ], "captureConfig": { "requireNotes": false, "requirePhoto": false, "notesPlaceholder": "string", "notesMaxLength": 1 }, "defaultAssigneeMemberId": "string", "roomId": "string", "isActive": true, "createdAt": "string", "updatedAt": "string" }}Empty
{ "error": "string"}